dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 18;
    aspect_ratio = 1.3;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

n_btn : button {
    height = 3;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_bushnholder_dlg : dialog {
    label = "Guide Bush and Holder";
    : row {
        : boxed_column {
            label = "Guide Bush (gp `)";
            : row {
                : b_mimg {
                    key = "img_1";
                }
                : b_mimg {
                    key = "img_2";
                }
                : b_mimg {
                    key = "img_3";
                }
            }
        }
        : boxed_column {
            label = "Post Holder (gp  `)";
            : row {
                : b_mimg {
                    key = "img_4";
                }
                : b_mimg {
                    key = "img_5";
                }
                : b_mimg {
                    key = "img_6";
                }
            }
        }
    }
    : row {
        : boxed_column {
            label = "Guide Bush (މHp `)";
            : row {
                : b_mimg {
                    key = "img_7";
                }
                : b_mimg {
                    key = "img_8";
                }
                : b_mimg {
                    key = "img_9";
                }
            }
        }
        : boxed_column {
            label = "Post Holder (މHp `)";
            : row {
                : b_mimg {
                    key = "img_10";
                }
                : b_mimg {
                    key = "img_11";
                }
                : b_mimg {
                    key = "img_12";
                }
            }
        }
    }
    : row {
        : boxed_column {
            label = "wv";
            width = 61;
            : column {
                fixed_height = true;
                : text {
                    label = "1. Ɍ`ۂI.";
                }
                : text {
                    label = "2. QƐ}\ċKiI.";
                }
                : text {
                    label = "3. }X͂Č`ۂ`.";
                }
                : text {
                    label = "";
                }
            }
        }
        : boxed_column {
            label = "KiI";
            : image_button {
                key          = "img_sld_c";
                color        = -2;
                width        = 60;
                aspect_ratio = 0.27;
                fixed_width  = true;
                fixed_height = true;
            }
            : row {
                : n_btn {
                    label = "(20)";
                    key   = "btn_20";
                }
                : n_btn {
                    label = "25";
                    key   = "btn_25";
                }
                : n_btn {
                    label = "(28)";
                    key   = "btn_28";
                }
                : n_btn {
                    label = "32";
                    key   = "btn_32";
                }
                : n_btn {
                    label = "38";
                    key   = "btn_38";
                }
                : n_btn {
                    label = "45";
                    key   = "btn_45";
                }
                : n_btn {
                    label = "50";
                    key   = "btn_50";
                }
                : n_btn {
                    label = "60";
                    key   = "btn_60";
                }
            }
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}
