dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 10;
    aspect_ratio = 1.0;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

b_ok : retirement_button {
    label      = "Ȯ";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

complist_dlg : dialog {
    label = " ";
    : column {
        : row {
            : boxed_column {
                : row {
                    : spacer {
                        width = 0.1;
                    }
                    : column {
                        : toggle {
                            label = "BOLT";
                            key   = "tgl_bolt";
                        }
                        : toggle {
                            label = "DRILL";
                            key   = "tgl_dril";
                        }
                        : toggle {
                            label = "REAMER";
                            key   = "tgl_ream";
                        }
                    }
                    : column {
                        : toggle {
                            label = "TAP";
                            key   = "tgl_tap";
                        }
                        : toggle {
                            label = "STAP";
                            key   = "tgl_stap";
                        }
                        : toggle {
                            label = "BSINK";
                            key   = "tgl_bsnk";
                        }
                    }
                    : column {
                        : toggle {
                            label = "PSINK";
                            key   = "tgl_psnk";
                        }
                        : toggle {
                            label = "GSINK";
                            key   = "tgl_gsnk";
                        }
                        : toggle {
                            label = "CMILS";
                            key   = "tgl_cmil";
                        }
                    }
                    : column {
                        : toggle {
                            label = "CB";
                            key   = "tgl_cb";
                        }
                        : text {
                            label = "";
                        }
                        : boxed_row {
                            : toggle {
                                label = "ALL";
                                key   = "tgl_all";
                            }
                        }
                    }
                }
                : boxed_row {
                    : spacer {
                        width = 0.1;
                    }
                    : radio_button {
                        label = "Inch";
                        key   = "tgl_inch";
                    }
                    : radio_button {
                        label = "MM";
                        key   = "tgl_mm";
                    }
                    : radio_button {
                        label = "A-Tech";
                        key   = "tgl_atech";
                    }
                    : radio_button {
                        label = "ALL";
                        key   = "tgl_stdall";
                    }
                }
            }
        }
        : row {
            fixed_width = true;
            : boxed_column {
                : row {
                    : column {
                        fixed_height = true;
                        alignment = top;
                        : radio_button {
                            label = "/ ";
                            key   = "tgl_topbtm";
                        }
                        : radio_button {
                            label = " ";
                            key   = "tgl_top";
                        }
                        : radio_button {
                            label = " ";
                            key   = "tgl_bottom";
                        }
                        : text {
                            label = "*  ";
                        }
                        : edit_box {
                            key        = "edit_dia";
                            edit_width = 15;
                        }
                        : text {
                            label = "   6  - 1/4\"";
                        }
                        : text {
                            label = "   8  - 5/16\"";
                        }
                        : text {
                            label = "  10 - 3/8\"";
                        }
                        : text {
                            label = "  12 - 1/2\"";
                        }
                        : text {
                            label = "  16 - 5/8\"";
                        }
                        : text {
                            label = "  20 - 3/4\"";
                        }
                        : text {
                            label = "  26 -   1\"";
                        }
                    }
                    : column {
                        fixed_height = true;
                        alignment = top;
                        : text {
                            label = "    [        ]";
                        }
                        : list_box {
                            key = "layer_list";
                            width = 20;
                            fixed_width = true;
                            height = 15;
                            multiple_select = true;
                        }
                        : button {
                            label = " ü ";
                            key   = "clear_layer";
                        }
                        : text {
                            key = "selected_layer_msg";
                        }
                    }
                    : column {
                        fixed_height = true;
                        alignment = top;
                        : text {
                            label = "   [        ]";
                        }
                        : list_box {
                            key = "color_list";
                            width = 18;
                            fixed_width = true;
                            height = 15;
                            multiple_select = true;
                        }
                        : button {
                            label = " ü ";
                            key   = "clear_color";
                        }
                        : text {
                            key = "selected_color_msg";
                        }
                    }
                }
                : spacer {
                    height = 0.2;
                }
            }
        }
        : row {
            fixed_width = true;
            alignment = centered;
            : button {
                label = "    ";
                key   = "cmd_add";
            }
            : button {
                label = "    ";
                key   = "cmd_del";
            }
            : button {
                label = " ߰ ";
                key   = "cmd_seladd";
            }
            : button {
                label = "  ";
                key   = "cmd_seldel";
            }
        }
        : spacer {
            height = 0.3;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_ok;
        b_cancel;
    }
}
