dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 18;
    aspect_ratio = 1.7;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_simg : image_button {
    color        = -2;
    width        = 18;
    aspect_ratio = 0.8;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_guidepinbush_dlg : dialog {
    label = "Guide Pin and Bush";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_row {
                height = 22;
                : text {
                    label  = "gp";
                }
            }
            : boxed_row {
                height = 3;
                : text {
                    label  = "މHp";
                }
            }
        }
        : boxed_column {
            label     = "SGPH SET";
            : column {
                : b_limg {
                    key = "img_1";
                }
                : b_simg {
                    key = "img_2";
                }
                : b_simg {
                    key = "img_3";
                }
            }
        }
        : boxed_column {
            label     = "SGPH";
            : column {
                : b_limg {
                    key = "img_4";
                }
                : b_simg {
                    key = "img_5";
                }
                : b_simg {
                    key = "img_6";
                }
            }
        }
        : boxed_column {
            label     = "SGPN";
            : column {
                : b_limg {
                    key = "img_7";
                }
                : b_simg {
                    key = "img_8";
                }
                : b_simg {
                    key = "img_9";
                }
            }
        }
        : boxed_column {
            label     = "SGBN";
            : column {
                : b_limg {
                    key = "img_10";
                }
                : b_simg {
                    key = "img_11";
                }
                : b_simg {
                    key = "img_12";
                }
            }
        }
        : boxed_column {
            label     = "SGHZ";
            : column {
                : b_limg {
                    key = "img_13";
                }
                : b_simg {
                    key = "img_14";
                }
                : b_simg {
                    key = "img_15";
                }
            }
        }
    }
    : column {
        : spacer {
            width = 3;
        }
        b_cancel;
    }
}
