dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 22;
    aspect_ratio = 1.2;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_simg : image_button {
    color        = -2;
    width        = 22;
    aspect_ratio = 0.8;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_locatepin_dlg : dialog {
    label = "LOCATE PIN";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_row {
                height = 21;
                : text {
                    label  = "gp";
                }
            }
            : boxed_row {
                height = 3;
                : text {
                    label  = "Hp";
                }
            }
        }
        : boxed_column {
            label        = "PSA";
            fixed_height = true;
            alignment    = top;
            : b_mimg {
                key = "lp_1";
            }
            : b_simg {
                key = "lp_2";
            }
        }
        : boxed_column {
            label     = "PSB";
            : b_mimg {
                key = "lp_3";
            }
            : b_simg {
                key = "lp_4";
            }
            : b_simg {
                key = "lp_5";
            }
        }
        : boxed_column {
            label     = "PSD";
            : b_mimg {
                key = "lp_6";
            }
            : b_simg {
                key = "lp_7";
            }
            : b_simg {
                key = "lp_8";
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
