dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 24;
    aspect_ratio = 0.8;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}

millpat1_dlg : dialog {
    : column {
        : column {
            : boxed_row {
                : column {
                    : b_mimg {
                        key = "mp_1";
                    }
                    : text {
                        label     = "TPC";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "mp_2";
                    }
                    : text {
                        label     = "RPD";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "mp_3";
                    }
                    : text {
                        label     = "RPE";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "mp_4";
                    }
                    : text {
                        label     = "CMP,Q";
                        alignment = centered;
                    }
                }
            }
            : boxed_row {
                : column {
                    : b_mimg {
                        key = "mp_5";
                    }
                    : text {
                        label     = "JAD";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "mp_6";
                    }
                    : text {
                        label     = "RPR";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "mp_7";
                    }
                    : text {
                        label     = "RPS";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "mp_8";
                    }
                    : text {
                        label     = "";
                        alignment = centered;
                    }
                }
            }
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}
