dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 18;
    aspect_ratio = 1.8;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_wimg : image_button {
    color        = -2;
    width        = 37;
    aspect_ratio = 0.4;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_postandbush_dlg : dialog {
    label = "Guide Post and Bush";
    : spacer {
        height = 0.5;
    }
    : column {
        : row {
            : column {
                width = 5;
                fixed_height = true;
                : text {
                    label     = "g";
                    alignment = centered;
                }
                : text {
                    label     = "";
                    alignment = centered;
                }
                : text {
                    label     = "";
                    alignment = centered;
                }
                : text {
                    label     = "p";
                    alignment = centered;
                }
            }
            : boxed_column {
                label     = "MSGP";
                : row {
                    width = 37;
                    : b_limg {
                        key = "pb_1";
                    }
                    : b_limg {
                        key = "pb_2";
                    }
                }
                : b_wimg {
                    key = "pb_3";
                }
            }
            : boxed_column {
                label     = "DSGP";
                width = 19;
                : b_limg {
                    key = "pb_5";
                }
                : spacer {
                    height = 0;
                }
            }
            : boxed_column {
                label     = "DSGL";
                : row {
                    width = 37;
                    : b_limg {
                        key = "pb_6";
                    }
                    : b_limg {
                        key = "pb_7";
                    }
                }
                : b_wimg {
                    key = "pb_8";
                }
            }
        }
        : row {
            : column {
                width = 5;
                fixed_height = true;
                : text {
                    label     = "";
                    alignment = centered;
                }
                : text {
                    label     = "H";
                    alignment = centered;
                }
                : text {
                    label     = "p";
                    alignment = centered;
                }
            }
            : boxed_row {
                label     = "MSGP";
                width = 37;
                : b_wimg {
                    key = "pb_4";
                }
            }
            : spacer {
                width = 20;
            }
            : boxed_row {
                label     = "DSGL";
                width = 37;
                : b_wimg {
                    key = "pb_9";
                }
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
