dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 25;
    aspect_ratio = 1.5;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_nimg : image_button {
    color        = -2;
    width        = 12;
    aspect_ratio = 1.2;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_simg : image_button {
    color        = -2;
    width        = 25;
    aspect_ratio = 0.6;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_punch_dlg : dialog {
    label = "PUNCH";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_row {
                height = 26;
                : text {
                    label  = "gp";
                }
            }
            : boxed_row {
                height = 3;
                : text {
                    label  = "Hp";
                }
            }
        }
        : boxed_column {
            label     = "PIERCING PUNCH";
            alignment = centered;
            fixed_width  = true;
            : column {
                : row {
                    : text {
                        label     = "SPA";
                        alignment = centered;
                    }
                    : text {
                        label     = "SPC";
                        alignment = centered;
                    }
                }
                : row {
                    : b_limg {
                        key = "p_1";
                    }
                    : b_limg {
                        key = "p_5";
                    }
                }
                : row {
                    : b_simg {
                        key = "p_2";
                    }
                    : b_simg {
                        key = "p_6";
                    }
                }
                : row {
                    : column {
                        : b_nimg {
                            key = "p_3";
                        }
                        : text {
                            label     = "PUNCH Œ";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_nimg {
                            key = "p_4";
                        }
                        : text {
                            label     = "STRIPER ";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_nimg {
                            key = "p_7";
                        }
                        : text {
                            label     = "PUNCH Œ";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_nimg {
                            key = "p_8";
                        }
                        : text {
                            label     = "STRIPER ";
                            alignment = centered;
                        }
                    }
                }
            }
        }
        : boxed_column {
            label     = "EMBOSSING PUNCH";
            alignment = centered;
            fixed_width  = true;
            : column {
                : row {
                    : text {
                        label     = "EBPA";
                        alignment = centered;
                    }
                    : text {
                        label     = "EBPB";
                        alignment = centered;
                    }
                }
                : row {
                    : b_limg {
                        key = "p_9";
                    }
                    : b_limg {
                        key = "p_13";
                    }
                }
                : row {
                    : b_simg {
                        key = "p_10";
                    }
                    : b_simg {
                        key = "p_14";
                    }
                }
                : row {
                    : column {
                        : b_nimg {
                            key = "p_11";
                        }
                        : text {
                            label     = "PUNCH Œ";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_nimg {
                            key = "p_12";
                        }
                        : text {
                            label     = "STRIPER ";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_simg {
                            key = "p_15";
                        }
                        : text {
                            label     = "DIE PLATE";
                            alignment = centered;
                        }
                    }
                }
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
