;=============================================================================
; ⺻ ȯ 
;=============================================================================
(defun c:`()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer0))
  (command "layer" "s" wLayer0 "")
  (setvar "cmdecho" 1)
  (princ)
)

(defun c:0()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer0))
  (command "layer" "s" wLayer0 "")
  (setvar "cmdecho" 1)
  (princ)
)
;-----------------------------------------------------------------------------
(defun c:1()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer1))
  (command "layer" "s" wLayer1 "")
  (setvar "cmdecho" 1)
  (princ)
)
;-----------------------------------------------------------------------------
(defun c:2()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer3))
  (command "layer" "s" wLayer3 "")
  (setvar "cmdecho" 1)
  (princ)
)
;-----------------------------------------------------------------------------
(defun c:3()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer4))
  (command "layer" "s" wLayer4 "")
  (setvar "cmdecho" 1)
  (princ)
)
;-----------------------------------------------------------------------------
(defun c:4()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer5))
  (command "layer" "s" wLayer5 "")
  (setvar "cmdecho" 1)
  (princ)
)
;-----------------------------------------------------------------------------
(defun c:5()
  (setvar "cmdecho" 0)
  (princ (strcat "\n\nLayer : " wLayer6))
  (command "layer" "s" wLayer6 "")
  (setvar "cmdecho" 1)
  (princ)
)
;======================================================================
(defun c:ii()
  (setvar "cmdecho" 0)
  (c:instbl)
  (setvar "cmdecho" 1)
  (princ)
)

;=============================================================================
(defun c:cc()
  (setvar "cmdecho" 0)
  (IF (NULL ChangeLayer) (LSPLOAD "ChangeLayer"))
  (changeLayer nil)
  (setvar "cmdecho" 1)
  (princ)
)

;=============================================================================
;
;-----------------------------------------------------------------------------
(defun error_setdim (msg)
  (graphscr)
  (setq *error* old_error)
  (princ)
)

(defun C:SETDIM( / txtheight dimscale prec dimarsize )
  (setvar "cmdecho" 0)
  (setq old_error *error*
    *error* error_setdim
  )
  (textscr)

  ; ġ  
  (prompt "\n[-] Enter Text Height [") (prin1 (getvar "DIMTXT")) (setq txtheight (getreal "] : "))
  (if (/= txtheight nil) (setvar "DIMTXT" txtheight))

  ; ġ  е
  (initget "` 0 1 2 3 4 5 6")
  (setq prec (getkword (strcat "\n[-] Enter DIM Precision [" (itoa LOCAL_DIM-Precision) "] : ")))
  (if (/= prec nil)
    (progn
      (if (= prec "`")
        (setq LOCAL_DIM-Precision 0)
        (setq LOCAL_DIM-Precision (atoi prec))
      )
      (setvar "DIMDEC"  LOCAL_DIM-Precision)   ; Ҽ ڸ
      (setvar "DIMADEC" LOCAL_DIM-Precision)   ;  Ҽ ڸ
      ; (setvar "DIMTDEC" LOCAL_DIM-Precision) ;  Ҽ ڸ
    )
  )

  ; ȭǥ ũ
  (prompt "\n[-] Enter Arrow Size [") (prin1 (getvar "DIMASZ")) (setq dimarsize (getreal "] : "))
  (if (/= dimarsize nil) (setvar "DIMASZ" dimarsize))

  ; ġ ô 
  (prompt "\n[-] Enter Scale Ratio [") (prin1 (getvar "DIMSCALE")) (setq dimscale (getreal "] : "))
  (if (/= dimscale nil) (setvar "DIMSCALE" dimscale))

  (graphscr)
  (setq *error* old_error)
  (setvar "cmdecho" 1)
  (prin1)
)

;-----------------------------------------------------------------------------
;    ( ȣ)
;-----------------------------------------------------------------------------
(defun setTextStyle ( / ts )
  (if (= LOCAL_TextStyle 0)
    (setvar "DIMTXSTY" (getvar "TEXTSTYLE"))
    (progn
      (setq ts (nth (* (- LOCAL_TextStyle 1) 8) Default_TextStyle-list))
      (if (/= ts nil)
        (progn
          (command "style" ts "" "" "" "" "" "" "")
          (setvar "DIMTXSTY" ts)
        )
      )
    )
  )
)

;-----------------------------------------------------------------------------
;   
;-----------------------------------------------------------------------------
(defun error_settextstyletype (msg)
  (graphscr)
  (setq *error* old_error)
  (prin1)
)

(defun C:SetTextStyleType ( / dts )
  (setvar "cmdecho" 0)
  (setq old_error *error*
    *error* error_settextstyletype
  )
  (textscr)
  ;  
  (initget "` 0 1 2 3 4 5 6 7 8 9 10")
  (setq dts (getkword (strcat "\n\n[-] Enter Text style [" (itoa LOCAL_TextStyle) "] ? : ")))
  (if (/= dts nil)
    (progn
      (if (= dts "`")
        (setq LOCAL_TextStyle 0)
        (if (= dts "0")
          (setq LOCAL_TextStyle 0)
          (if (/= (nth (* (- (atoi dts) 1) 8) Default_TextStyle-list) nil) (setq LOCAL_TextStyle (atoi dts)))
        )
      )
      (setTextStyle)
    )
  )
  (princ (strcat "\n--> Current Text style : " (getvar "TEXTSTYLE")))
  (graphscr)
  (setq *error* old_error)
  (setvar "cmdecho" 1)
  (prin1)
)

;-----------------------------------------------------------------------------
; ġ е 
;-----------------------------------------------------------------------------
(defun error_setdimprecision (msg)
  (graphscr)
  (setq *error* old_error)
  (prin1)
)

(defun C:SetDIMPrecision ( / prec )
  (setvar "cmdecho" 0)
  (setq old_error *error*
    *error* error_setdimprecision
  )
  (textscr)
  ;  е
  (initget "` 0 1 2 3 4 5 6")
  (setq prec (getkword (strcat "\n\n[-] Enter DIM Precision [" (itoa LOCAL_DIM-Precision) "] ? : ")))
  (if (/= prec nil)
    (progn
      (if (= prec "`")
        (setq LOCAL_DIM-Precision 0)
        (setq LOCAL_DIM-Precision (atoi prec))
      )
      (setvar "DIMDEC"  LOCAL_DIM-Precision)  ; Ҽ ڸ
      (setvar "DIMADEC" LOCAL_DIM-Precision)  ;  Ҽ ڸ
      ;(setvar "DIMTDEC" LOCAL_DIM-Precision) ;  Ҽ ڸ
    )
  )
  (princ (strcat "\n--> Current DIM Precision : " (itoa LOCAL_DIM-Precision)))
  (graphscr)
  (setq *error* old_error)
  (setvar "cmdecho" 1)
  (prin1)
)

;-----------------------------------------------------------------------------
;
;-----------------------------------------------------------------------------
(defun InitDrawing4tools ( / lp )
  (setvar "cmdecho" 0)
  (setq old_layer (getvar "clayer"))

  ; ۾ ̾ 
  (if (= Default_InitDrawing-LAYER 1)
    (progn
      ;  ø
      (setq lp 0)
      (while (/= (nth lp Default_LineType-list) nil)
        (if (= (tblsearch "LTYPE" (nth lp Default_LineType-list)) nil)
          (command "linetype" "l" (nth lp Default_LineType-list) (nth (+ lp 1) Default_LineType-list) "" ^C^C)
        )
        (setq lp (+ lp 2))
      )
      ; ̾  ϱ
      (setq lp (tblsearch "LAYER" "0"))
      (if (and (= (cdr (assoc 62 lp)) 7) (= (cdr (assoc 6 lp)) "Continuous")) ; '0'̾ ⺻  
        (command "layer" "m" (nth 0 Default_Layer-list)  "c" (nth 1 Default_Layer-list) ""  "l" (nth 2 Default_Layer-list) "" "")
      )
      (setq lp 3)
      (while (/= (nth lp Default_Layer-list) nil)
        (if (= (tblsearch "LAYER" (nth lp Default_Layer-list)) nil)
          (command "layer" "m" (nth lp Default_Layer-list)  "c" (nth (+ lp 1) Default_Layer-list) ""  "l" (nth (+ lp 2) Default_Layer-list) "" "")
        )
        (setq lp (+ lp 3))
      )
    )
  )
  ;   
  (if (= Default_InitDrawing-STYLE 1)
    (progn
      ; !! AutoCAD ó ۽ Է  ·  !!
      (setq lp 0)
      (repeat 10
        (if (/= (nth lp Default_TextStyle-list) nil)
          (command "style"
            (nth lp Default_TextStyle-list)
            (nth (+ lp 1) Default_TextStyle-list)
            (nth (+ lp 2) Default_TextStyle-list)
            (nth (+ lp 3) Default_TextStyle-list)
            (nth (+ lp 4) Default_TextStyle-list)
            (nth (+ lp 5) Default_TextStyle-list)
            (nth (+ lp 6) Default_TextStyle-list)
            (nth (+ lp 7) Default_TextStyle-list)
          )
        )
        (setq lp (+ lp 8))
      )
      (setTextStyle)
    )
  )
  ; ġ  
  (if (and (= Default_InitDrawing-DIMSTYLE 1) (= (tblsearch "DIMSTYLE" Default_DIMStyle-Name) nil))
    (progn
      (setvar "cmdecho" 0)
      ;(setvar "DIMASO"      0)        ;ġ ü ۼ
      (setvar "DIMALT"      0)         ;ü  õ
      (setvar "DIMALTD"     3)         ;ü  Ҽ ڸ
      (setvar "DIMALTF"     0.0394)    ;ü  ô 
      (setvar "DIMALTRND"   0.0000)    ;ü  ݿø 
      (setvar "DIMALTTD"    3)         ;ü  Ҽ ڸ
      (setvar "DIMALTTZ"    0)         ;ü  0 
      (setvar "DIMALTU"     2)         ;ü 
      (setvar "DIMALTZ"     0)         ;ü  0 
      (setvar "DIMAPOST"    "")        ;ü ڿ  Ӹ  
      (setvar "DIMATFIT"    3)         ;ȭǥ  
      (setvar "DIMAUNIT"    0)         ;  
      (setvar "DIMCEN"      2.0000)    ;߽ ǥ ũ

      ; ġ 
      (setvar "DIMCLRT"     Default_DIM-TextColor)
      ; ġ  ü 
      (setvar "DIMCLRD"     Default_DIM-LineColor)
      ; ġ 
      (setvar "DIMCLRE"     Default_DIM-eLineColor)

      (setvar "DIMDLE"      0.0000)    ;ġ 
      (setvar "DIMDLI"      7.0000)    ;ġ 
      (setvar "DIMDSEP"     ".")       ;Ҽ 
      (setvar "DIMEXE"      1.0000)    ;ġ  
      (setvar "DIMEXO"      1.0000)    ;ġ  ݶ
      (setvar "DIMFRAC"     0)         ;м 
      (setvar "DIMGAP"      1.0000)    ;ġ   
      (setvar "DIMJUST"     0)         ;ġ   ڸ߱
      (setvar "DIMLFAC"     1.0000)    ;  ô 
      (setvar "DIMLIM"      0)         ;ġ Ѱ 
      (setvar "DIMLUNIT"    2)         ;  
      (setvar "DIMLWD"      -1)        ;ġ  ü ġ
      (setvar "DIMLWE"      -1)        ;ġ ġ
      (setvar "DIMPOST"     "")        ;ġ ڿ  Ӹ  
      (setvar "DIMRND"      0.0000)    ;ݿø
      (setvar "DIMSAH"      0)         ;ȭǥ  и
      (setvar "DIMSD1"      0)         ;ù° ġ 
      (setvar "DIMSD2"      0)         ;ι° ġ 
      (setvar "DIMSE1"      0)         ;ù° ġ 
      (setvar "DIMSE2"      0)         ;ι° ġ 
      (setvar "DIMSOXD"     0)         ;ġ  
      (setvar "DIMTAD"      0)         ;ġ   
      (setvar "DIMTFAC"     1.0000)    ;   ô 
      (setvar "DIMTIH"      0)         ;弱  ڴ 
      (setvar "DIMTIX"      0)         ;弱 ο  ġ
      (setvar "DIMTM"       0.0000)    ; 
      (setvar "DIMTMOVE"    0)         ; ̵
      (setvar "DIMTOFL"     1)         ;ġ η  оֱ
      (setvar "DIMTOH"      0)         ; ٱ 
      (setvar "DIMTOL"      0)         ; ġ
      (setvar "DIMTOLJ"     0)         ;  ڸ߱
      (setvar "DIMTP"       0.0000)    ; 
      (setvar "DIMTSZ"      0.0000)    ; ũ
      (setvar "DIMTVP"      0.0000)    ;  ġ
      (setvar "DIMUPT"      0)         ;ڰ ġ  

      ; ü ô 
      (setvar "DIMSCALE" Default_DIM-Scale)

      ;  
      (setvar "DIMTXT" Default_DIM-TxtHeight)

      ; е
      (setvar "DIMDEC"  LOCAL_DIM-Precision) ;Ҽ ڸ
      (setvar "DIMADEC" LOCAL_DIM-Precision) ; Ҽ ڸ
      ;(setvar "DIMTDEC" LOCAL_DIM-Precision) ; Ҽ ڸ

      ; ȭǥ
      (setvar "DIMBLK"    "")
      (setvar "DIMBLK1"   "") ;ù° ȭǥ
      (setvar "DIMBLK2"   "") ;ι° ȭǥ
      (setvar "DIMLDRBLK" "") ;ü
      ; ȭǥ, Ʈ ũ
      (setvar "DIMASZ"    Default_DIM-Arrow)

      ; 0 
      (setvar "DIMZIN"  8)
      (setvar "DIMTZIN" 8) ; 0 
      (setvar "DIMAZIN" 2) ; 0 
      (command "dimstyle" "s" Default_DIMStyle-Name)
    )
    (command "dimstyle" "r" Default_DIMStyle-Name)
  )
  ; 0 
  (setvar "DIMZIN"  8)
  (setvar "DIMTZIN" 8) ; 0 
  (setvar "DIMAZIN" 2) ; 0 

  (setvar "osmode" Default_OSNAPmode)

  (command "layer" "s" old_layer "")
  (setvar "cmdecho" 1)
  (princ)
)
(if (= Default_InitDrawing 1) (InitDrawing4tools))

;----------------------------------------------------------------------
; End of File
;----------------------------------------------------------------------
