dcl_settings : default_dcl_settings {
    audit_level = 0;
}

st_image : image_button {
    color        = -2;
    width        = 26;
    aspect_ratio = 0.4;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_shapetolerance_dlg : dialog {
    label = "SHAPE TOLERANCE";
    : boxed_column {
        : row {
            : text {
                label     = " PLAN";
                alignment = centered;
            }
            : st_image {
                key = "st_1";
            }
            : st_image {
                key = "st_2";
            }
        }
        : row {
            : text {
                label     = " LINE";
                alignment = centered;
            }
            : st_image {
                key = "st_3";
            }
            : st_image {
                key = "st_4";
            }
        }
        : row {
            : text {
                label     = " CIRL";
                alignment = centered;
            }
            : st_image {
                key = "st_5";
            }
            : st_image {
                key = "st_6";
            }
        }
        : row {
            : text {
                label     = " CYLD";
                alignment = centered;
            }
            : st_image {
                key = "st_7";
            }
            : st_image {
                key = "st_8";
            }
        }
        : row {
            : text {
                label     = " PARL";
                alignment = centered;
            }
            : st_image {
                key = "st_9";
            }
            : st_image {
                key = "st_10";
            }
        }
        : row {
            : text {
                label     = " RECT";
                alignment = centered;
            }
            : st_image {
                key = "st_11";
            }
            : st_image {
                key = "st_12";
            }
        }
        : row {
            : text {
                label     = "          ";
                alignment = centered;
            }
            : st_image {
                key = "st_13";
            }
            : st_image {
                key = "st_14";
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
