dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 10;
    aspect_ratio = 1.0;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

no_button : button {
    width  = 2;
    height = 1;
}

b_cancel_only : retirement_button {
    label      = "Cancel";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}

stancomp_part1_dlg : dialog {
    label = "^Wi";
    : spacer {
        height = 0;
    }
    : column {
        : row {
            : column {
                : column {
                    label = "BOLT";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_B";
                            }
                            : text {
                                label = "     ( B )";
                            }
                            : row {
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "3";
                                        key   = "b_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "b_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "b_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "b_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "b_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "10";
                                        key   = "b_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "b_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "b_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "b_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "b_24";
                                    }
                                    : spacer {
                                        height = 1.8;
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_BH";
                            }
                            : text {
                                label = "     (BH)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "bh_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "bh_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "bh_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "bh_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "bh_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "bh_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "bh_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "bh_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "bh_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "bh_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "bh_24";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_BB";
                            }
                            : text {
                                label = "     (BB)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "bb_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "bb_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "bb_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "bb_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "bb_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "bb_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "bb_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "bb_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "bb_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "bb_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "bb_24";
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : boxed_column {
                    label = "TAP";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_M";
                            }
                            : text {
                                label = "     ( M )";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "m_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "m_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "m_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "m_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "m_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "m_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "m_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "m_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "m_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "m_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "m_24";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_MT";
                            }
                            : text {
                                label = "     (MT)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "mt_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "mt_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "mt_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "mt_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "mt_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "mt_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "mt_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "mt_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "mt_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "mt_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "mt_24";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_MH";
                            }
                            : text {
                                label = "     (MH)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "mh_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "mh_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "mh_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "mh_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "mh_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "mh_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "mh_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "mh_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "mh_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "mh_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "mh_24";
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "XNհvO (gp)";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_SC";
                            }
                            : text {
                                label = "     (SC)";
                            }
                            : row {
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "?";
                                        key   = "sc_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "sc_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "sc_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "sc_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "sc_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "sc_8";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "sc_12";
                                    }
                                    : no_button {
                                        label = "14";
                                        key   = "sc_14";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "sc_16";
                                    }
                                    : no_button {
                                        label = "18";
                                        key   = "sc_18";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "sc_20";
                                    }
                                    : no_button {
                                        label = "22";
                                        key   = "sc_22";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "24";
                                        key   = "sc_24";
                                    }
                                    : no_button {
                                        label = "25";
                                        key   = "sc_25";
                                    }
                                    : no_button {
                                        label = "26";
                                        key   = "sc_26";
                                    }
                                    : no_button {
                                        label = "27";
                                        key   = "sc_27";
                                    }
                                    : no_button {
                                        label = "28";
                                        key   = "sc_28";
                                    }
                                    : no_button {
                                        label = "30";
                                        key   = "sc_30";
                                    }
                                    : no_button {
                                        label = "33";
                                        key   = "sc_33";
                                    }
                                    : no_button {
                                        label = "36";
                                        key   = "sc_36";
                                    }
                                    : no_button {
                                        label = "38";
                                        key   = "sc_38";
                                    }
                                    : no_button {
                                        label = "40";
                                        key   = "sc_40";
                                    }
                                    : no_button {
                                        label = "42";
                                        key   = "sc_42";
                                    }
                                    : no_button {
                                        label = "45";
                                        key   = "sc_45";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_SCH";
                            }
                            : text {
                                label = "    (SCH)";
                            }
                            : row {
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "?";
                                        key   = "sch_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "sch_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "sch_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "sch_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "sch_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "sch_8";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "sch_12";
                                    }
                                    : no_button {
                                        label = "14";
                                        key   = "sch_14";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "sch_16";
                                    }
                                    : no_button {
                                        label = "18";
                                        key   = "sch_18";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "sch_20";
                                    }
                                    : no_button {
                                        label = "22";
                                        key   = "sch_22";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "24";
                                        key   = "sch_24";
                                    }
                                    : no_button {
                                        label = "25";
                                        key   = "sch_25";
                                    }
                                    : no_button {
                                        label = "26";
                                        key   = "sch_26";
                                    }
                                    : no_button {
                                        label = "27";
                                        key   = "sch_27";
                                    }
                                    : no_button {
                                        label = "28";
                                        key   = "sch_28";
                                    }
                                    : no_button {
                                        label = "30";
                                        key   = "sch_30";
                                    }
                                    : no_button {
                                        label = "33";
                                        key   = "sch_33";
                                    }
                                    : no_button {
                                        label = "36";
                                        key   = "sch_36";
                                    }
                                    : no_button {
                                        label = "38";
                                        key   = "sch_38";
                                    }
                                    : no_button {
                                        label = "40";
                                        key   = "sch_40";
                                    }
                                    : no_button {
                                        label = "42";
                                        key   = "sch_42";
                                    }
                                    : no_button {
                                        label = "45";
                                        key   = "sch_45";
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "C/B";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_CB";
                            }
                            : text {
                                label = "     (CB)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "cb_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "cb_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "cb_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "cb_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "cb_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "cb_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "cb_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "cb_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "cb_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "cb_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "cb_24";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_CBH";
                            }
                            : text {
                                label = "    (CBH)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "?";
                                        key   = "cbh_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "cbh_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "cbh_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "cbh_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "cbh_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "cbh_8";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment    = top;
                                    : no_button {
                                        label = "10";
                                        key   = "cbh_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "cbh_12";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "cbh_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "cbh_20";
                                    }
                                    : no_button {
                                        label = "24";
                                        key   = "cbh_24";
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "GAUGE";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_G";
                            }
                            : text {
                                label = "       ( G )";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                                : no_button {
                                    label = "6";
                                    key   = "g_6";
                                }
                                : no_button {
                                    label = "8";
                                    key   = "g_8";
                                }
                                : no_button {
                                    label = "10";
                                    key   = "g_10";
                                }
                                : no_button {
                                    label = "12";
                                    key   = "g_12";
                                }
                                : no_button {
                                    label = "13";
                                    key   = "g_13";
                                }
                                : no_button {
                                    label = "16";
                                    key   = "g_16";
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "STAR";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_STAR";
                            }
                             : text {
                                label = "    (STAR)";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                                : no_button {
                                    label = "1";
                                    key   = "star_1";
                                }
                                : no_button {
                                    label = "4";
                                    key   = "star_2";
                                }
                            }
                        }
                    }
                }
            }
        }
        : spacer {
            height = 0;
        }
        : row {
            : column {
                : column {
                    label = "mNs";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_N";
                            }
                            : text {
                                label = "     ( N )";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "3";
                                        key   = "n_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "n_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "n_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "n_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "n_8";
                                    }
                                }
                                : column {
                                    : no_button {
                                        label = "10";
                                        key   = "n_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "n_12";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "n_13";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "n_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "n_20";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_NH";
                            }
                            : text {
                                label = "     (NH)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "3";
                                        key   = "nh_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "nh_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "nh_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "nh_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "nh_8";
                                    }
                                }
                                : column {
                                    : no_button {
                                        label = "10";
                                        key   = "nh_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "nh_12";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "nh_13";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "nh_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "nh_20";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_TN";
                            }
                            : text {
                                label = "     (TN)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "3";
                                        key   = "tn_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "tn_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "tn_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "tn_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "tn_8";
                                    }
                                }
                                : column {
                                    : no_button {
                                        label = "10";
                                        key   = "tn_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "tn_12";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "tn_13";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "tn_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "tn_20";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_TNH";
                            }
                            : text {
                                label = "    (TNH)";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "3";
                                        key   = "tnh_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "tnh_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "tnh_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "tnh_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "tnh_8";
                                    }
                                }
                                : column {
                                    : no_button {
                                        label = "10";
                                        key   = "tnh_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "tnh_12";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "tnh_13";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "tnh_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "tnh_20";
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_TNSCH";
                            }
                            : text {
                                label = "    TNSCH";
                            }
                            : row {
                                : column {
                                    : no_button {
                                        label = "3";
                                        key   = "tnsch_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "tnsch_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "tnsch_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "tnsch_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "tnsch_8";
                                    }
                                }
                                : column {
                                    : no_button {
                                        label = "10";
                                        key   = "tnsch_10";
                                    }
                                    : no_button {
                                        label = "12";
                                        key   = "tnsch_12";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "tnsch_13";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "tnsch_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "tnsch_20";
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "PUNCH gp HOLE";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_D";
                            }
                            : text {
                                label = "    (CD)";
                            }
                            : row {
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "?";
                                        key   = "d_q";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "d_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "d_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "d_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "d_8";
                                    }
                                    : no_button {
                                        label = "10";
                                        key   = "d_10";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "d_13";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "16";
                                        key   = "d_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "d_20";
                                    }
                                    : no_button {
                                        label = "25";
                                        key   = "d_25";
                                    }
                                    : no_button {
                                        label = "32";
                                        key   = "d_32";
                                    }
                                    : no_button {
                                        label = "38";
                                        key   = "d_38";
                                    }
                                    : no_button {
                                        label = "45";
                                        key   = "d_45";
                                    }
                                    : spacer {
                                        height = 8.3;
                                    }
                                }
                            }
                        }
                        : column {
                            : b_mimg {
                                key = "img_sld_DH";
                            }
                            : text {
                                label = "   (CDH)";
                            }
                            : row {
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "?";
                                        key   = "dh_q";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "dh_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "dh_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "dh_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "dh_8";
                                    }
                                    : no_button {
                                        label = "10";
                                        key   = "dh_10";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "dh_13";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "16";
                                        key   = "dh_16";
                                    }
                                    : no_button {
                                        label = "20";
                                        key   = "dh_20";
                                    }
                                    : no_button {
                                        label = "25";
                                        key   = "dh_25";
                                    }
                                    : no_button {
                                        label = "32";
                                        key   = "dh_32";
                                    }
                                    : no_button {
                                        label = "38";
                                        key   = "dh_38";
                                    }
                                    : no_button {
                                        label = "45";
                                        key   = "dh_45";
                                    }
                                    : spacer {
                                        height = 8.3;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "BUTTON DIE";
                    : row {
                        fixed_height = true;
                        : column {
                            : b_mimg {
                                key = "img_sld_DD";
                            }
                            : text {
                                label = "     (CDQ)";
                            }
                            : row {
                                : column {
                                    fixed_height = true;
                                    : no_button {
                                        label = "?";
                                        key   = "dd_q";
                                    }
                                    : no_button {
                                        label = "3";
                                        key   = "dd_3";
                                    }
                                    : no_button {
                                        label = "4";
                                        key   = "dd_4";
                                    }
                                    : no_button {
                                        label = "5";
                                        key   = "dd_5";
                                    }
                                    : no_button {
                                        label = "6";
                                        key   = "dd_6";
                                    }
                                    : no_button {
                                        label = "8";
                                        key   = "dd_8";
                                    }
                                    : no_button {
                                        label = "10";
                                        key   = "dd_10";
                                    }
                                    : no_button {
                                        label = "13";
                                        key   = "dd_13";
                                    }
                                    : no_button {
                                        label = "16";
                                        key   = "dd_16";
                                    }
                                }
                                : column {
                                    fixed_height = true;
                                    alignment = top;
                                    : no_button {
                                        label = "20";
                                        key   = "dd_20";
                                    }
                                    : no_button {
                                        label = "22";
                                        key   = "dd_22";
                                    }
                                    : no_button {
                                        label = "25";
                                        key   = "dd_25";
                                    }
                                    : no_button {
                                        label = "32";
                                        key   = "dd_32";
                                    }
                                    : no_button {
                                        label = "38";
                                        key   = "dd_38";
                                    }
                                    : no_button {
                                        label = "45";
                                        key   = "dd_45";
                                    }
                                    : no_button {
                                        label = "50";
                                        key   = "dd_50";
                                    }
                                    : no_button {
                                        label = "56";
                                        key   = "dd_56";
                                    }
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "PIERC";
                    : row {
                        fixed_height = true;
                        : column {
                            fixed_height = true;
                            alignment    = top;
                            : b_mimg {
                                key = "img_sld_CXP";
                            }
                            : text {
                                label = "     (CCQ)";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                               : no_button {
                                    label = "?";
                                    key   = "cxp_2";
                                }
                                : spacer {
                                    height = 8.3;
                                }
                            }
                        }
                    }
                }
            }
            : column {
                : column {
                    label = "HOLEHp";
                    : row {
                        fixed_height = true;
                        : column {
                            fixed_height = true;
                            alignment    = top;
                            : b_mimg {
                                key = "img_sld_CX";
                            }
                            : text {
                                label = "    (CC)";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                                : no_button {
                                    label = "X.X";
                                    key   = "cx_1";
                                }
                                : no_button {
                                    label = "X.XX";
                                    key   = "cx_2";
                                }
                                : no_button {
                                    label = "X.XXX";
                                    key   = "cx_3";
                                }
                            }
                        }
                        : column {
                            fixed_height = true;
                            alignment    = top;
                            : b_mimg {
                                key = "img_sld_CHX";
                            }
                            : text {
                                label = "   (CCH)";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                                : no_button {
                                    label = "X.X";
                                    key   = "chx_1";
                                }
                                : no_button {
                                    label = "X.XX";
                                    key   = "chx_2";
                                }
                                : no_button {
                                    label = "X.XXX";
                                    key   = "chx_3";
                                }
                            }
                        }
                        fixed_height = true;
                        : column {
                            fixed_height = true;
                            alignment    = top;
                            : b_mimg {
                                key = "img_sld_DX";
                            }
                            : text {
                                label = "    (CD)";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                                : no_button {
                                    label = "X.X";
                                    key   = "dx_1";
                                }
                                : no_button {
                                    label = "X.XX";
                                    key   = "dx_2";
                                }
                                : no_button {
                                    label = "X.XXX";
                                    key   = "dx_3";
                                }
                            }
                        }
                        : column {
                            fixed_height = true;
                            alignment    = top;
                            : b_mimg {
                                key = "img_sld_DHX";
                            }
                            : text {
                                label = "   (CDH)";
                            }
                            : column {
                                fixed_height = true;
                                alignment    = top;
                                : no_button {
                                    label = "X.X";
                                    key   = "dhx_1";
                                }
                                : no_button {
                                    label = "X.XX";
                                    key   = "dhx_2";
                                }
                                : no_button {
                                    label = "X.XXX";
                                    key   = "dhx_3";
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    : spacer {
        height = 0;
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}
