dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 22;
    aspect_ratio = 2.0;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

boltpins_button : button {
    width  = 8;
    height = 3;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_boltset_dlg : dialog {
    label = "BOLT AND DOWEL PIN";
    : spacer {
        height = 1;
    }
    : row {
        : boxed_column {
            label = "BOLT-PIN";
            : b_limg {
                key = "bs_1";
            }
        }
        : boxed_column {
            label = "BOLT";
            : b_limg {
                key = "bs_2";
            }
        }
        : boxed_column {
            label = "DOWEL PIN";
            : b_limg {
                key = "bs_3";
            }
        }
        : boxed_column {
            label = "PIN-SCREW";
            : b_limg {
                key = "bs_4";
            }
        }
    }
    : spacer {
        height = 1;
    }
    b_cancel_only;
}


stancomp_boltset_blotpins_dlg : dialog {
    label = "BOLT PIN COMBINATION";
    : spacer {
        height = 1;
    }
    : row {
        : image_button {
            key          = "boltpins_1";
            color        = -2;
            width        = 36;
            aspect_ratio = 1.7;
            fixed_width  = true;
            fixed_height = true;
        }
        : column {
            : boxed_column {
                label = "BOLT-DOWEL PIN";
                : boltpins_button {
                    label = "M10-N10";
                    key   = "bp_1";
                }
                : boltpins_button {
                    label = "M10-N12";
                    key   = "bp_2";
                }
                : boltpins_button {
                    label = "M8-N10";
                    key   = "bp_3";
                }
                : boltpins_button {
                    label = "M12-N12";
                    key   = "bp_4";
                }
                : boltpins_button {
                    label = "M I S C";
                    key   = "bp_5";
                }
             }
            : image_button {
                key          = "boltpins_2";
                color        = -2;
                width        = 45;
                aspect_ratio = 0.6;
                fixed_width  = true;
                fixed_height = true;
            }
        }
    }
    : spacer {
        height = 1;
    }
    b_cancel_only;
}
