dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 14;
    aspect_ratio = 1.2;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

hole_button : button {
    width  = 18;
    height = 3;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_default = true;
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}

hole_cd_dlg : dialog {
    label = "HOLE";
    : column {
           : boxed_row {
                height = 14;
                : spacer {
                    width = 1;
                }
                : b_mimg {
                    key = "img_sld_t";
                }
                : spacer {
                    width = 1;
                }
                : column {
                    fixed_width  = true;
                    fixed_height = true;
                    : hole_button {
                        label       = "Semi-Finishing (X.X)";
                        key         = "d_1";
                        fixed_width = true;
                    }
                    : hole_button {
                        label       = "Finishing (X.XX)";
                        key         = "d_2";
                        fixed_width = true;
                    }
                    : hole_button {
                        label       = "Super Finishing (X.XXX)";
                        key         = "d_3";
                        fixed_width = true;
                    }
                }
                : spacer {
                    width = 1;
                }
            }
           : boxed_row {
                height = 14;
                : spacer {
                    width = 1;
                }
                : b_mimg {
                    key = "img_sld_th";
                }
                : spacer {
                    width = 1;
                }
                : column {
                    fixed_width  = true;
                    fixed_height = true;
                    : hole_button {
                        label       = "Semi-Finishing (X.X)";
                        key         = "dh_1";
                        fixed_width = true;
                    }
                    : hole_button {
                        label       = "Finishing (X.XX)";
                        key         = "dh_2";
                        fixed_width = true;
                    }
                    : hole_button {
                        label       = "Super Finishing (X.XXX)";
                        key         = "dh_3";
                        fixed_width = true;
                    }
                }
                : spacer {
                    width = 1;
                }
            }
    }
    : spacer {
       height = 1;
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel;
    }
}
