dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_qimg : image_button {
    color        = -2;
    width        = 24;
    aspect_ratio = 0.6;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

hook_button : button {
    width  = 4;
    height = 8;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_hook_dlg : dialog {
    label = "HOOK";
    : row {
        : boxed_row {
            : row {
                : row {
                    : column {
                        : text {
                            label     = "";
                            alignment = centered;
                        }
                        : boxed_column {
                            height = 8;
                            : text {
                                label     = "CHN";
                            }
                        }
                        : boxed_column {
                            height = 35;
                            : text {
                                label     = "CHP";
                            }
                        }
                    }
                }
                : row {
                    : column {
                        : text {
                            label     = "T Y P E";
                            alignment = centered;
                        }
                        : b_qimg {
                            key = "hook_1";
                        }
                        : column {
                            : b_qimg {
                                key = "hook_2";
                            }
                            : b_qimg {
                                key = "hook_3";
                            }
                            : b_qimg {
                                key = "hook_4";
                            }
                            : b_qimg {
                                key = "hook_5";
                            }
                        }
                    }
                }
                : row {
                    : column {
                        : text {
                            label     = "S P E C";
                            alignment = centered;
                        }
                        : row {
                             fixed_width = true;
                            : hook_button {
                                label = "16";
                                key   = "h_16";
                            }
                            : hook_button {
                                label = "20";
                                key   = "h_20";
                            }
                            : hook_button {
                                label = "24";
                                key   = "h_24";
                            }
                            : hook_button {
                                label = "30";
                                key   = "h_30";
                            }
                            : hook_button {
                                label = "36";
                                key   = "h_36";
                            }
                        }
                        : row {
                             fixed_width = true;
                            : hook_button {
                                label = "32";
                                key   = "h_32";
                            }
                            : hook_button {
                                label = "40";
                                key   = "h_40";
                            }
                            : hook_button {
                                label = "50";
                                key   = "h_50";
                            }
                        }
                        : row {
                             fixed_width = true;
                             : hook_button {
                                label = "32";
                                key   = "h_32f";
                            }
                            : hook_button {
                                label = "40";
                                key   = "h_40f";
                            }
                            : hook_button {
                                label = "50";
                                key   = "h_50f";
                            }
                        }
                        : row {
                             fixed_width = true;
                             : hook_button {
                                label = "63";
                                key   = "h_63";
                            }
                        }
                        : row {
                             fixed_width = true;
                             : hook_button {
                                label = "63";
                                key   = "h_63f";
                            }
                        }
                    }
                }
            }
        }
        : boxed_row {
            fixed_height = true;
            alignment = top;
            : image_button {
                key          = "hook_6";
                color        = -2;
                width        = 50;
                aspect_ratio = 1.34;
                fixed_width  = true;
                fixed_height = true;
            }
        }
    }
    : spacer {
        height = 1;
    }
    b_cancel_only;
}
