dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 24;
    aspect_ratio = 2.0;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_mimg : image_button {
    color        = -2;
    width        = 24;
    aspect_ratio = 1.5;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_simg : image_button {
    color        = -2;
    width        = 24;
    aspect_ratio = 0.9;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "Ȯ";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_liftpinset_dlg : dialog {
    label = "LIFT PIN SET";
    : spacer {
        height = 0.5;
    }
    : row {
        : boxed_row {
            label     = "";
            : row {
                : b_limg {
                    key = "lps_1";
                    alignment = top;
                }
                : column {
                    fixed_height = true;
                    alignment = top;
                    : b_mimg {
                        key = "lps_2";
                    }
                    : b_simg {
                        key = "lps_3";
                    }
                }
            }
        }
        : boxed_row {
            fixed_height = true;
            alignment = top;
            label     = "簡";
            : b_simg {
                key = "lps_4";
            }
            : b_simg {
                key = "lps_5";
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
