dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 49;
    aspect_ratio = 0.6;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

b_mimg : image_button {
    color        = -2;
    width        = 24;
    aspect_ratio = 0.8;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}

millpat2_dlg : dialog {
    : boxed_column {
        : column {
            : row {
                : image_button {
                    key          = "mp_6";
                    color        = -2;
                    width        = 24;
                    aspect_ratio = 1.2;
                    fixed_width  = true;
                    fixed_height = true;
                    allow_accept = true;
                }
                : b_limg {
                    key = "mp_7";
                }
                : b_limg {
                    key = "mp_8";
                }
            }
            : row {
                : column {
                    : b_mimg {
                        key = "mp_1";
                    }
                    : text {
                        label     = "TPC";
                        alignment = centered;
                    }
                }
                : row {
                    : column {
                        : b_mimg {
                            key = "mp_2";
                        }
                        : text {
                            label     = "RPD";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_mimg {
                            key = "mp_3";
                        }
                        : text {
                            label     = "RPR";
                            alignment = centered;
                        }
                    }
                }
                : row {
                    : column {
                        : b_mimg {
                            key = "mp_4";
                        }
                        : text {
                            label     = "RPE";
                            alignment = centered;
                        }
                    }
                    : column {
                        : b_mimg {
                            key = "mp_5";
                        }
                        : text {
                            label     = "RPS";
                            alignment = centered;
                        }
                    }
                }
            }
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}
