dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 22;
    aspect_ratio = 2.5;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_jimg : image_button {
    color        = -2;
    width        = 26;
    aspect_ratio = 2.6;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "Ȯ";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_postset_dlg : dialog {
    label = "GUIDE POST SET";
    : spacer {
        height = 0.5;
    }
    : boxed_column {
        : row {
            : column {
                : b_limg {
                    key = "ps_1";
                }
                : text {
                    label     = "MYAK";
                    alignment = centered;
                }
            }
            : column {
                : b_limg {
                    key = "ps_2";
                }
                : text {
                    label     = "MYBK";
                    alignment = centered;
                }
            }
            : column {
                : b_limg {
                    key = "ps_3";
                }
                : text {
                    label     = "MYCK";
                    alignment = centered;
                }
            }
            : column {
                : b_limg {
                    key = "ps_4";
                }
                : text {
                    label     = "GSPK";
                    alignment = centered;
                }
            }
            : column {
                : b_limg {
                    key = "ps_5";
                }
                : text {
                    label     = "GSRK";
                    alignment = centered;
                }
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}


stancomp_postset_1_dlg : dialog {
    label = "GUIDE POST SET (MYAK)";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_column {
                label = "";
                : row {
                    : b_limg {
                        key = "img_1";
                    }
                    : b_limg {
                        key = "img_2";
                    }
                    : b_limg {
                        key = "img_3";
                    }
                    : b_limg {
                        key = "img_4";
                    }
                }
            }
           : boxed_column {
                label = "";
                : column {
                    : text {
                        label = "1.   Ѵ.";
                    }
                    : text {
                        label = "2. ǥ   ׸ ԷѴ.";
                    }
                    : text {
                        label = "3.   ġ Ȯ  'Ȯ' ư .";
                    }
                    : text {
                        label = "4.  ԷϿ  ׸.";
                    }
                    : text {
                        label = "";
                    }
                }
            }
        }
        : column {
            : boxed_column {
                label = "ǥ";
                : image_button {
                    key          = "img_5";
                    color        = -2;
                    width        = 33;
                    aspect_ratio = 1.45;
                    fixed_width  = true;
                    fixed_height = true;
                }
            }
            : boxed_column {
                label = " Է";
                : edit_box {
                    label      = "Diameter of Guide post(d):";
                    key        = "edt_d";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of post(L):";
                    key        = "edt_l";
                    edit_width = 6;
                }
                : text {
                    label = "";
                }
            }
            : row {
                : spacer {
                    width = 3;
                }
                b_ok;
                b_cancel;
                : spacer {
                    width = 3;
                }
            }
        }
    }
}


stancomp_postset_2_dlg : dialog {
    label = "GUIDE POST SET (MYBK)";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_column {
                label = "";
                : row {
                    : b_limg {
                        key = "img_1";
                    }
                    : b_limg {
                        key = "img_2";
                    }
                    : b_limg {
                        key = "img_3";
                    }
                    : b_limg {
                        key = "img_4";
                    }
                }
            }
           : boxed_column {
                label = "";
                : column {
                    : text {
                        label = "1.   Ѵ.";
                    }
                    : text {
                        label = "2. ǥ   ׸ ԷѴ.";
                    }
                    : text {
                        label = "3.   ġ Ȯ  'Ȯ' ư .";
                    }
                    : text {
                        label = "4.  ԷϿ  ׸.";
                    }
                    : text {
                        label = "";
                    }
                }
            }
        }
        : column {
            : boxed_column {
                label = "ǥ";
                : image_button {
                    key          = "img_5";
                    color        = -2;
                    width        = 32;
                    aspect_ratio = 1.54;
                    fixed_width  = true;
                    fixed_height = true;
                }
            }
            : boxed_column {
                label = " Է";
                : edit_box {
                    label      = "Diameter of Guide post(d):";
                    key        = "edt_d";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of post(L):";
                    key        = "edt_l";
                    edit_width = 6;
                }
                : text {
                    label = "";
                }
            }
            : row {
                : spacer {
                    width = 3;
                }
                b_ok;
                b_cancel;
                : spacer {
                    width = 3;
                }
            }
        }
    }
}


stancomp_postset_3_dlg : dialog {
    label = "GUIDE POST SET (MYCK)";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_column {
                label = "";
                : row {
                    : b_limg {
                        key = "img_1";
                    }
                    : b_limg {
                        key = "img_2";
                    }
                    : b_limg {
                        key = "img_3";
                    }
                    : b_limg {
                        key = "img_4";
                    }
                }
            }
           : boxed_column {
                label = "";
                : column {
                    : text {
                        label = "1.   Ѵ.";
                    }
                    : text {
                        label = "2. ǥ   ׸ ԷѴ.";
                    }
                    : text {
                        label = "3.   ġ Ȯ  'Ȯ' ư .";
                    }
                    : text {
                        label = "4.  ԷϿ  ׸.";
                    }
                    : text {
                        label = "";
                    }
                }
            }
        }
        : column {
            : boxed_column {
                label = "ǥ";
                : image_button {
                    key          = "img_5";
                    color        = -2;
                    width        = 33;
                    aspect_ratio = 1.5;
                    fixed_width  = true;
                    fixed_height = true;
                }
            }
            : boxed_column {
                label = " Է";
                : edit_box {
                    label      = "Diameter of Guide post(d):";
                    key        = "edt_d";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of post(L):";
                    key        = "edt_l";
                    edit_width = 6;
                }
                : text {
                    label = "";
                }
            }
            : row {
                : spacer {
                    width = 3;
                }
                b_ok;
                b_cancel;
                : spacer {
                    width = 3;
                }
            }
        }
    }
}


stancomp_postset_4_dlg : dialog {
    label = "GUIDE POST SET (GSPK)";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_column {
                label = "";
                : row {
                    : spacer {
                        width = 0;
                    }
                    : b_jimg {
                        key = "img_1";
                    }
                    : b_jimg {
                        key = "img_2";
                    }
                    : spacer {
                        width = 0;
                    }
                }
            }
           : boxed_column {
                label = "";
                : column {
                    : text {
                        label = "1.   Ѵ.";
                    }
                    : text {
                        label = "2. ǥ   ׸ ԷѴ.";
                    }
                    : text {
                        label = "3.   ġ Ȯ  'Ȯ' ư .";
                    }
                    : text {
                        label = "4.  ԷϿ  ׸.";
                    }
                    : text {
                        label = "";
                    }
                }
            }
        }
        : column {
            : boxed_column {
                label = "ǥ";
                : image_button {
                    key          = "img_3";
                    color        = -2;
                    width        = 35;
                    aspect_ratio = 1.4;
                    fixed_width  = true;
                    fixed_height = true;
                }
            }
            : boxed_column {
                label = " Է";
                : edit_box {
                    label      = "Diameter of Guide post(d):";
                    key        = "edt_d";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of bush(BL):";
                    key        = "edt_bl";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of post(L):";
                    key        = "edt_l";
                    edit_width = 6;
                }
                : text {
                    label = "";
                }
            }
            : row {
                : spacer {
                    width = 3;
                }
                b_ok;
                b_cancel;
                : spacer {
                    width = 3;
                }
            }
        }
    }
}


stancomp_postset_5_dlg : dialog {
    label = "GUIDE POST SET (GSRK)";
    : spacer {
        height = 0.5;
    }
    : row {
        : column {
            : boxed_column {
                label = "";
                : row {
                    : spacer {
                        width = 0;
                    }
                    : b_jimg {
                        key = "img_1";
                    }
                    : b_jimg {
                        key = "img_2";
                    }
                    : spacer {
                        width = 0;
                    }
                }
            }
           : boxed_column {
                label = "";
                : column {
                    : text {
                        label = "1.   Ѵ.";
                    }
                    : text {
                        label = "2. ǥ   ׸ ԷѴ.";
                    }
                    : text {
                        label = "3.   ġ Ȯ  'Ȯ' ư .";
                    }
                    : text {
                        label = "4.  ԷϿ  ׸.";
                    }
                    : text {
                        label = "";
                    }
                }
            }
        }
        : column {
            : boxed_column {
                label = "ǥ";
                : image_button {
                    key          = "img_3";
                    color        = -2;
                    width        = 35;
                    aspect_ratio = 1.4;
                    fixed_width  = true;
                    fixed_height = true;
                }
            }
            : boxed_column {
                label = " Է";
                : edit_box {
                    label      = "Diameter of Guide post(d):";
                    key        = "edt_d";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of bush(BL):";
                    key        = "edt_bl";
                    edit_width = 6;
                }
                : edit_box {
                    label      = "Length of post(L):";
                    key        = "edt_l";
                    edit_width = 6;
                }
                : text {
                    label = "";
                }
            }
            : row {
                : spacer {
                    width = 3;
                }
                b_ok;
                b_cancel;
                : spacer {
                    width = 3;
                }
            }
        }
    }
}
