dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_limg : image_button {
    color        = -2;
    width        = 25;
    aspect_ratio = 1.3;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_simg : image_button {
    color        = -2;
    width        = 18;
    aspect_ratio = 1.1;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}


stancomp_spoolrset_dlg : dialog {
    label = "SPOOL RETAINER";
    : column {
        : row {
            : boxed_column {
                : text {
                    label     = "gp";
                    alignment = centered;
                }
            }
            : boxed_column {
                width = 23;
                : text {
                    label     = "މHp";
                    alignment = centered;
                }
            }
        }
        : row {
            : b_limg {
                key = "ss_1";
            }
            : column {
                : b_simg {
                    key = "ss_2";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : b_simg {
                    key = "ss_3";
                }
                : text {
                    label     = "SPACER";
                    alignment = centered;
                }
                : text {
                    label     = "GUIDE HOLE";
                    alignment = centered;
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : b_simg {
                    key = "ss_4";
                }
                : text {
                    label     = " ";
                    alignment = centered;
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : b_simg {
                    key = "ss_5";
                }
                : text {
                    label     = " ";
                    alignment = centered;
                }
                : text {
                    label     = " ";
                    alignment = centered;
                }
                : text {
                    label     = " ";
                    alignment = centered;
                }
            }
        }
        : row {
            : b_limg {
                key = "ss_6";
            }
            : column {
                : b_simg {
                    key = "ss_7";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : b_simg {
                    key = "ss_8";
                }
                : text {
                    label     = "SPACER";
                    alignment = centered;
                }
                : text {
                    label     = "GUIDE HOLE";
                    alignment = centered;
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : b_simg {
                    key = "ss_9";
                }
                : text {
                    label     = " ";
                    alignment = centered;
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : b_simg {
                    key = "ss_10";
                }
                : text {
                    label     = "SETSCREW";
                    alignment = centered;
                }
                : text {
                    label     = "TAP";
                    alignment = centered;
                }
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
