dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 18;
    aspect_ratio = 1.2;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
    alignment    = centered;
}

b_ok : retirement_button {
    label      = "OK";
    key        = "accept";
    is_default = true;
    width      = 14;
}

b_cancel : retirement_button {
    label     = "CANCEL";
    key       = "cancel";
    is_cancel = true;
    width     = 14;
}

b_cancel_only : retirement_button {
    label      = "CANCEL";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}

stancomp_1_dlg : dialog {
    label = "^Wi";
    : boxed_column {
        : column {
            : row {
                : column {
                    : b_mimg {
                        key = "img_1";
                    }
                    : text {
                        label     = "Post Set";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_2";
                    }
                    : text {
                        label     = "Bush and Holder";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_3";
                    }
                    : text {
                        label     = "Post and Bush";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_4";
                    }
                    : text {
                        label     = "Guide Pin and Bush";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_5";
                    }
                    : text {
                        label     = "Pilot Pin";
                        alignment = centered;
                    }
                }
            }
            : row {
                : column {
                    : b_mimg {
                        key = "img_6";
                    }
                    : text {
                        label     = "Punch";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_7";
                    }
                    : text {
                        label     = "Die Button";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_8";
                    }
                    : text {
                        label     = "Press Pin Set";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_9";
                    }
                    : text {
                        label     = "Spool R and Set";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_A";
                    }
                    : text {
                        label     = "Lift Pin Set";
                        alignment = centered;
                    }
                }
            }
            : row {
                : column {
                    : b_mimg {
                        key = "img_B";
                    }
                    : text {
                        label     = "Spring Set";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_C";
                    }
                    : text {
                        label     = "Presser Pin";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_D";
                    }
                    : text {
                        label     = "Control Bar";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_E";
                    }
                    : text {
                        label     = "Locate Pin";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_F";
                    }
                    : text {
                        label     = "Back Up";
                        alignment = centered;
                    }
                }
            }
            : row {
                : column {
                    : b_mimg {
                        key = "img_G";
                    }
                    : text {
                        label     = "Key";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_H";
                    }
                    : text {
                        label     = "Hook";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_I";
                    }
                    : text {
                        label     = "Bolt Set";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_J";
                    }
                    : text {
                        label     = "Shape Tolerance";
                        alignment = centered;
                    }
                }
                : column {
                    : b_mimg {
                        key = "img_K";
                    }
                    : text {
                        label     = "";
                        alignment = centered;
                    }
                }
            }
        }
    }
    : spacer {
        height = 0;
    }
    b_cancel_only;
}
