dcl_settings : default_dcl_settings {
    audit_level = 0;
}

b_mimg : image_button {
    color        = -2;
    width        = 15;
    aspect_ratio = 0.9;
    fixed_width  = true;
    fixed_height = true;
    allow_accept = true;
}

b_cancel_only : retirement_button {
    label      = "";
    key        = "cancel";
    is_cancel  = true;
    is_default = true;
    width      = 14;
}

stancomp_part2_dlg : dialog {
    label = " ǥ ǰ";
    : row {
        : boxed_column {
            label = "Inch";
            fixed_height = true;
            alignment = top;
            : button {
                label = "BOLT";
                key   = "part-1i";
            }
            : button {
                label = " ";
                key   = "part-2i";
            }
            : button {
                label = " REAM ";
                key   = "part-3i";
            }
            : button {
                label = "TAP";
                key   = "part-4i";
            }
            : button {
                label = " ";
                key   = "part-5i";
            }
            : button {
                label = "BSINK";
                key   = "part-6i";
            }
            : button {
                label = " ";
                key   = "part-7i";
            }
            : button {
                label = " ";
                key   = "part-8i";
            }
            : button {
                label = " ";
                key   = "part-9i";
            }
            : button {
                label = " ";
                key   = "part-10i";
            }
            : spacer {
                height = 0.5;
            }
        }
        : boxed_column {
            label = "MM";
            fixed_height = true;
            alignment = top;
            : button {
                label = " BOLT ";
                key   = "part-1";
            }
            : button {
                label = " DRIL ";
                key   = "part-2";
            }
            : button {
                label = " REAM ";
                key   = "part-3";
            }
            : button {
                label = " TAP ";
                key   = "part-4";
            }
            : button {
                label = "STAP";
                key   = "part-5";
            }
            : button {
                label = "BSINK";
                key   = "part-6";
            }
            : button {
                label = " PSINK ";
                key   = "part-7";
            }
            : button {
                label = " CMILS ";
                key   = "part-8";
            }
            : button {
                label = " GSINK ";
                key   = "part-9";
            }
            : button {
                label = "CB";
                key   = "part-10";
            }
            : spacer {
                height = 0.5;
            }
        }
        : boxed_column {
            label = "A-Tech";
            fixed_height = true;
            alignment = top;
            : button {
                label = " BOLT ";
                key   = "part-1a";
            }
            : button {
                label = " DRIL ";
                key   = "part-2a";
            }
            : button {
                label = " REAM ";
                key   = "part-3a";
            }
            : button {
                label = " TAP ";
                key   = "part-4a";
            }
            : button {
                label = " ";
            }
            : button {
                label = "BSINK";
                key   = "part-6a";
            }
            : button {
                label = " ";
            }
            : button {
                label = " ";
            }
            : button {
                label = " ";
            }
            : button {
                label = " ";
            }
            : spacer {
                height = 0.5;
            }
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_bolt_dlg : dialog {
    label = "BOLT";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Bolt";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "bolt_top";
                }
                : radio_button {
                    label = "";
                    key   = "bolt_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "bolt_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "3";
                    key   = "bolt_3";
                }
                : button {
                    label = "4";
                    key   = "bolt_4";
                }
                : button {
                    label = "5";
                    key   = "bolt_5";
                }
                : button {
                    label = "6";
                    key   = "bolt_6";
                }
                : button {
                    label = "8";
                    key   = "bolt_8";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "10";
                    key   = "bolt_10";
                }
                : button {
                    label = "12";
                    key   = "bolt_12";
                }
                : button {
                    label = "16";
                    key   = "bolt_16";
                }
                : button {
                    label = "20";
                    key   = "bolt_20";
                }
                : button {
                    label = "24";
                    key   = "bolt_24";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_boltATech_dlg : dialog {
    label = "BOLT for A-Tech";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Bolt";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "bolt_top";
                }
                : radio_button {
                    label = "";
                    key   = "bolt_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "bolt_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = " ";
                }
                : button {
                    label = "4";
                    key   = "bolt_4";
                }
                : button {
                    label = "5";
                    key   = "bolt_5";
                }
                : button {
                    label = "6";
                    key   = "bolt_6";
                }
                : button {
                    label = "8";
                    key   = "bolt_8";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "10";
                    key   = "bolt_10";
                }
                : button {
                    label = "12";
                    key   = "bolt_12";
                }
                : button {
                    label = "16";
                    key   = "bolt_16";
                }
                : button {
                    label = "20";
                    key   = "bolt_20";
                }
                : button {
                    label = "24";
                    key   = "bolt_24";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_boltInch_dlg : dialog {
    label = "BOLT";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Bolt";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "bolt_top";
                }
                : radio_button {
                    label = "";
                    key   = "bolt_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "bolt_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "6 - 1/4\"";
                    key   = "bolt_6";
                }
                : button {
                    label = "8 - 5/16\"";
                    key   = "bolt_8";
                }
                : button {
                    label = "10 - 3/8\"";
                    key   = "bolt_10";
                }
                : button {
                    label = "12 - 1/2\"";
                    key   = "bolt_12";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "16 - 5/8\"";
                    key   = "bolt_16";
                }
                : button {
                    label = "20 - 3/4\"";
                    key   = "bolt_20";
                }
                : button {
                    label = "26 -  1\"  ";
                    key   = "bolt_26";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_dril_dlg : dialog {
    label = "DRILL";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Drill";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "dril_top";
                }
                : radio_button {
                    label = "";
                    key   = "dril_bottom";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : button {
            label = "?";
            key   = "dril_0";
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "1";
                    key   = "dril_1";
                }
                : button {
                    label = "2";
                    key   = "dril_2";
                }
                : button {
                    label = "3";
                    key   = "dril_3";
                }
                : button {
                    label = "4";
                    key   = "dril_4";
                }
                : button {
                    label = "5";
                    key   = "dril_5";
                }
                : button {
                    label = "6";
                    key   = "dril_6";
                }
                : button {
                    label = "7";
                    key   = "dril_7";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "8";
                    key   = "dril_8";
                }
                : button {
                    label = "9";
                    key   = "dril_9";
                }
                : button {
                    label = "10";
                    key   = "dril_10";
                }
                : button {
                    label = "11";
                    key   = "dril_11";
                }
                : button {
                    label = "12";
                    key   = "dril_12";
                }
                : button {
                    label = "13";
                    key   = "dril_13";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_drilATech_dlg : dialog {
    label = "DRILL for A-Tech";
    : boxed_column {
        alignment = top;
        : row {
            alignment = centered;
            : b_mimg {
                key = "img_sld_Drill";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "dril_top";
                }
                : radio_button {
                    label = "";
                    key   = "dril_bottom";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : button {
            label = "?";
            key   = "dril_0";
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "5.2";
                    key   = "dril_52";
                }
                : button {
                    label = "5.8";
                    key   = "dril_58";
                }
                : button {
                    label = "6.1";
                    key   = "dril_61";
                }
                : button {
                    label = "6.5";
                    key   = "dril_65";
                }
                : button {
                    label = "6.8";
                    key   = "dril_68";
                }
                : button {
                    label = "7.0";
                    key   = "dril_70";
                }
                : button {
                    label = "7.8";
                    key   = "dril_78";
                }
                : button {
                    label = "8.2";
                    key   = "dril_82";
                }
                : button {
                    label = "8.5";
                    key   = "dril_85";
                }
                : button {
                    label = "8.8";
                    key   = "dril_88";
                }
                : button {
                    label = "9.2";
                    key   = "dril_92";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "9.8";
                    key   = "dril_98";
                }
                : button {
                    label = "10.5";
                    key   = "dril_105";
                }
                : button {
                    label = "10.9";
                    key   = "dril_109";
                }
                : button {
                    label = "11.8";
                    key   = "dril_118";
                }
                : button {
                    label = "12.5";
                    key   = "dril_125";
                }
                : button {
                    label = "14.0";
                    key   = "dril_140";
                }
                : button {
                    label = "14.5";
                    key   = "dril_145";
                }
                : button {
                    label = "15.5";
                    key   = "dril_155";
                }
                : button {
                    label = "16.5";
                    key   = "dril_165";
                }
                : button {
                    label = "17.0";
                    key   = "dril_170";
                }
                : button {
                    label = "18.0";
                    key   = "dril_180";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "18.5";
                    key   = "dril_185";
                }
                : button {
                    label = "19.5";
                    key   = "dril_195";
                }
                : button {
                    label = "20.0";
                    key   = "dril_200";
                }
                : button {
                    label = "20.5";
                    key   = "dril_205";
                }
                : button {
                    label = "21.5";
                    key   = "dril_215";
                }
                : button {
                    label = "22.5";
                    key   = "dril_225";
                }
                : button {
                    label = "25.5";
                    key   = "dril_255";
                }
                : button {
                    label = "28.5";
                    key   = "dril_285";
                }
                : button {
                    label = "31.5";
                    key   = "dril_315";
                }
                : button {
                    label = "33.0";
                    key   = "dril_330";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_ream_dlg : dialog {
    label = "REAMER";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Ream";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "ream_top";
                }
                : radio_button {
                    label = "";
                    key   = "ream_bottom";
                }
                : spacer {
                    height = 3.0;
                }
            }
        }
        : button {
            label = "?";
            key   = "ream_00";
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "1.5";
                    key   = "ream_15";
                }
                : button {
                    label = "2.0";
                    key   = "ream_20";
                }
                : button {
                    label = "2.5";
                    key   = "ream_25";
                }
                : button {
                    label = "2.7";
                    key   = "ream_27";
                }
                : button {
                    label = "2.8";
                    key   = "ream_28";
                }
                : button {
                    label = "3.0";
                    key   = "ream_30";
                }
                : button {
                    label = "3.1";
                    key   = "ream_31";
                }
                : button {
                    label = "3.2";
                    key   = "ream_32";
                }
                : button {
                    label = "3.5";
                    key   = "ream_35";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "4.0";
                    key   = "ream_40";
                }
                : button {
                    label = "5.0";
                    key   = "ream_50";
                }
                : button {
                    label = "6.0";
                    key   = "ream_60";
                }
                : button {
                    label = "8.0";
                    key   = "ream_80";
                }
                : button {
                    label = "10";
                    key   = "ream_10";
                }
                : button {
                    label = "12";
                    key   = "ream_12";
                }
                : button {
                    label = "13";
                    key   = "ream_13";
                }
                : button {
                    label = "16";
                    key   = "ream_16";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_reamInch_dlg : dialog {
    label = "REAMER";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Ream";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "ream_top";
                }
                : radio_button {
                    label = "";
                    key   = "ream_bottom";
                }
                : spacer {
                    height = 3.0;
                }
            }
        }
        : button {
            label = "?";
            key   = "ream_00";
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "6  - 1/4\" ";
                    key   = "ream_60";
                }
                : button {
                    label = "8  - 5/16\"";
                    key   = "ream_80";
                }
                : button {
                    label = "10 - 3/8\" ";
                    key   = "ream_10";
                }
                : button {
                    label = "12 - 1/2\"";
                    key   = "ream_12";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "16 - 5/8\"";
                    key   = "ream_16";
                }
                : button {
                    label = "20 - 3/4\"";
                    key   = "ream_20";
                }
                : button {
                    label = "25 - 1\"";
                    key   = "ream_25";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_tap_dlg : dialog {
    label = "TAP";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Tap";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "tap_top";
                }
                : radio_button {
                    label = "";
                    key   = "tap_bottom";
                }
                : spacer {
                    height = 0.2;
                }
                : toggle {
                    label = "";
                    key   = "tap_through";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "3";
                    key   = "tap_3";
                }
                : button {
                    label = "4";
                    key   = "tap_4";
                }
                : button {
                    label = "5";
                    key   = "tap_5";
                }
                : button {
                    label = "6";
                    key   = "tap_6";
                }
                : button {
                    label = "8";
                    key   = "tap_8";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "10";
                    key   = "tap_10";
                }
                : button {
                    label = "12";
                    key   = "tap_12";
                }
                : button {
                    label = "16";
                    key   = "tap_16";
                }
                : button {
                    label = "20";
                    key   = "tap_20";
                }
                : button {
                    label = "24";
                    key   = "tap_24";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_tapATech_dlg : dialog {
    label = "TAP for A-Tech";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Tap";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "tap_top";
                }
                : radio_button {
                    label = "";
                    key   = "tap_bottom";
                }
                : spacer {
                    height = 0.2;
                }
                : toggle {
                    label = "";
                    key   = "tap_through";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = " ";
                }
                : button {
                    label = "4";
                    key   = "tap_4";
                }
                : button {
                    label = "5";
                    key   = "tap_5";
                }
                : button {
                    label = "6";
                    key   = "tap_6";
                }
                : button {
                    label = "8";
                    key   = "tap_8";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "10";
                    key   = "tap_10";
                }
                : button {
                    label = "12";
                    key   = "tap_12";
                }
                : button {
                    label = "16";
                    key   = "tap_16";
                }
                : button {
                    label = "20";
                    key   = "tap_20";
                }
                : button {
                    label = "24";
                    key   = "tap_24";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_tapInch_dlg : dialog {
    label = "TAP";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Tap";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "tap_top";
                }
                : radio_button {
                    label = "";
                    key   = "tap_bottom";
                }
                : spacer {
                    height = 0.2;
                }
                : toggle {
                    label = "";
                    key   = "tap_through";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "6 - 1/4\"";
                    key   = "tap_6";
                }
                : button {
                    label = "8 - 5/16\"";
                    key   = "tap_8";
                }
                : button {
                    label = "10 - 3/8\"";
                    key   = "tap_10";
                }
                : button {
                    label = "12 - 1/2\"";
                    key   = "tap_12";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "16 - 5/8\"";
                    key   = "tap_16";
                }
                : button {
                    label = "20 - 3/4\"";
                    key   = "tap_20";
                }
                : button {
                    label = "26 -  1\" ";
                    key   = "tap_26";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_stap_dlg : dialog {
    label = "STAP";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_STap";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "stap_top";
                }
                : radio_button {
                    label = "";
                    key   = "stap_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "stap_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "3";
                    key   = "stap_3";
                }
                : button {
                    label = "4";
                    key   = "stap_4";
                }
                : button {
                    label = "5";
                    key   = "stap_5";
                }
                : button {
                    label = "6";
                    key   = "stap_6";
                }
                : button {
                    label = "8";
                    key   = "stap_8";
                }
                : button {
                    label = "10";
                    key   = "stap_10";
                }
                : button {
                    label = "12";
                    key   = "stap_12";
                }
                : button {
                    label = "14";
                    key   = "stap_14";
                }
                : button {
                    label = "16";
                    key   = "stap_16";
                }
                : button {
                    label = "18";
                    key   = "stap_18";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "20";
                    key   = "stap_20";
                }
                : button {
                    label = "22";
                    key   = "stap_22";
                }
                : button {
                    label = "24";
                    key   = "stap_24";
                }
                : button {
                    label = "26";
                    key   = "stap_26";
                }
                : button {
                    label = "27";
                    key   = "stap_27";
                }
                : button {
                    label = "28";
                    key   = "stap_28";
                }
                : button {
                    label = "30";
                    key   = "stap_30";
                }
                : button {
                    label = "33";
                    key   = "stap_33";
                }
                : button {
                    label = "39";
                    key   = "stap_39";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_bsink_dlg : dialog {
    label = "BSINK";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Bsink";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "bsink_top";
                }
                : radio_button {
                    label = "";
                    key   = "bsink_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "bsink_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = " 3 (4) ";
                    key   = "bsink_3";
                }
                : button {
                    label = " 4 (5) ";
                    key   = "bsink_4";
                }
                : button {
                    label = " 5 (6) ";
                    key   = "bsink_5";
                }
                : button {
                    label = " 6 (7) ";
                    key   = "bsink_6";
                }
                : button {
                    label = " 8 (9) ";
                    key   = "bsink_8";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "10 (11)";
                    key   = "bsink_10";
                }
                : button {
                    label = "12 (14)";
                    key   = "bsink_12";
                }
                : button {
                    label = "16 (18)";
                    key   = "bsink_16";
                }
                : button {
                    label = "20 (22)";
                    key   = "bsink_20";
                }
                : button {
                    label = "24 (26)";
                    key   = "bsink_24";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_bsinkATech_dlg : dialog {
    label = "BSINK for A-Tech";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Bsink";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "bsink_top";
                }
                : radio_button {
                    label = "";
                    key   = "bsink_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "bsink_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = " ";
                }
                : button {
                    label = " 4 ";
                    key   = "bsink_4";
                }
                : button {
                    label = " 5 ";
                    key   = "bsink_5";
                }
                : button {
                    label = " 6 ";
                    key   = "bsink_6";
                }
                : button {
                    label = " 8 ";
                    key   = "bsink_8";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "10 ";
                    key   = "bsink_10";
                }
                : button {
                    label = "12 ";
                    key   = "bsink_12";
                }
                : button {
                    label = "16 ";
                    key   = "bsink_16";
                }
                : button {
                    label = "20 ";
                    key   = "bsink_20";
                }
                : button {
                    label = "24 ";
                    key   = "bsink_24";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_bsinkInch_dlg : dialog {
    label = "BSINK";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Bsink";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "bsink_top";
                }
                : radio_button {
                    label = "";
                    key   = "bsink_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "bsink_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "6 - 1/4\" ";
                    key   = "bsink_6";
                }
                : button {
                    label = "8 - 5/16\" ";
                    key   = "bsink_8";
                }
                : button {
                    label = "10 - 3/8\" ";
                    key   = "bsink_10";
                }
                : button {
                    label = "12 - 1/2\" ";
                    key   = "bsink_12";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "16 - 5/8\" ";
                    key   = "bsink_16";
                }
                : button {
                    label = "20 - 3/4\" ";
                    key   = "bsink_20";
                }
                : button {
                    label = "26 -  1\"  ";
                    key   = "bsink_26";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_psink_dlg : dialog {
    label = "PSINK";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Psink";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "psink_top";
                }
                : radio_button {
                    label = "";
                    key   = "psink_bottom";
                }
                : radio_button {
                    label = "鵵";
                    key   = "psink_side";
                    is_enabled = "false";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "3";
                    key   = "psink_3";
                }
                : button {
                    label = "4";
                    key   = "psink_4";
                }
                : button {
                    label = "5";
                    key   = "psink_5";
                }
                : button {
                    label = "6";
                    key   = "psink_6";
                }
                : button {
                    label = "8";
                    key   = "psink_8";
                }
                : button {
                    label = "10";
                    key   = "psink_10";
                }
                : button {
                    label = "12";
                    key   = "psink_12";
                }
                : button {
                    label = "13";
                    key   = "psink_13";
                }
                : button {
                    label = "16";
                    key   = "psink_16";
                }
                : button {
                    label = "20";
                    key   = "psink_20";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "22";
                    key   = "psink_22";
                }
                : button {
                    label = "25";
                    key   = "psink_25";
                }
                : button {
                    label = "28";
                    key   = "psink_28";
                }
                : button {
                    label = "30";
                    key   = "psink_30";
                }
                : button {
                    label = "32";
                    key   = "psink_32";
                }
                : button {
                    label = "38";
                    key   = "psink_38";
                }
                : button {
                    label = "45";
                    key   = "psink_45";
                }
                : button {
                    label = "50";
                    key   = "psink_50";
                }
                : button {
                    label = "56";
                    key   = "psink_56";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_cmils_dlg : dialog {
    label = "CMILS";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_CMils";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "cmils_top";
                }
                : radio_button {
                    label = "";
                    key   = "cmils_bottom";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : button {
            label = "?";
            key   = "cmils_00";
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "5";
                    key   = "cmils_5";
                }
                : button {
                    label = "6";
                    key   = "cmils_6";
                }
                : button {
                    label = "8";
                    key   = "cmils_8";
                }
                : button {
                    label = "10";
                    key   = "cmils_10";
                }
                : button {
                    label = "12";
                    key   = "cmils_12";
                }
                : button {
                    label = "14";
                    key   = "cmils_14";
                }
                : button {
                    label = "16";
                    key   = "cmils_16";
                }
                : button {
                    label = "18";
                    key   = "cmils_18";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "20";
                    key   = "cmils_20";
                }
                : button {
                    label = "22";
                    key   = "cmils_22";
                }
                : button {
                    label = "24";
                    key   = "cmils_24";
                }
                : button {
                    label = "26";
                    key   = "cmils_26";
                }
                : button {
                    label = "28";
                    key   = "cmils_28";
                }
                : button {
                    label = "30";
                    key   = "cmils_30";
                }
                : button {
                    label = "32";
                    key   = "cmils_32";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_gsink_dlg : dialog {
    label = "GSINK";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_Gsink";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "gsink_top";
                }
                : radio_button {
                    label = "";
                    key   = "gsink_bottom";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "12";
                    key   = "gsink_12";
                }
                : button {
                    label = "13";
                    key   = "gsink_13";
                }
                : button {
                    label = "14";
                    key   = "gsink_14";
                }
                : button {
                    label = "16";
                    key   = "gsink_16";
                }
                : button {
                    label = "18";
                    key   = "gsink_18";
                }
                : button {
                    label = "20";
                    key   = "gsink_20";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "22";
                    key   = "gsink_22";
                }
                : button {
                    label = "24";
                    key   = "gsink_24";
                }
                : button {
                    label = "25";
                    key   = "gsink_25";
                }
                : button {
                    label = "28";
                    key   = "gsink_28";
                }
                : button {
                    label = "32";
                    key   = "gsink_32";
                }
                : button {
                    label = "34";
                    key   = "gsink_34";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}

stancomp_cb_dlg : dialog {
    label = "CB";
    : boxed_column {
        alignment = top;
        : row {
            : b_mimg {
                key = "img_sld_CB";
            }
            : column {
                fixed_height = true;
                alignment = top;
                : spacer {
                    height = 0.1;
                }
                : radio_button {
                    label = "";
                    key   = "cb_top";
                }
                : radio_button {
                    label = "";
                    key   = "cb_bottom";
                }
                : spacer {
                    height = 1.5;
                }
            }
        }
        : button {
            label = "?";
            key   = "cb_0";
        }
        : row {
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "5";
                    key   = "cb_5";
                }
                : button {
                    label = "6";
                    key   = "cb_6";
                }
                : button {
                    label = "8";
                    key   = "cb_8";
                }
                : button {
                    label = "10";
                    key   = "cb_10";
                }
                : button {
                    label = "12";
                    key   = "cb_12";
                }
                : button {
                    label = "14";
                    key   = "cb_14";
                }
                : button {
                    label = "16";
                    key   = "cb_16";
                }
                : button {
                    label = "18";
                    key   = "cb_18";
                }
            }
            : column {
                fixed_height = true;
                alignment = top;
                : button {
                    label = "20";
                    key   = "cb_20";
                }
                : button {
                    label = "22";
                    key   = "cb_22";
                }
                : button {
                    label = "24";
                    key   = "cb_24";
                }
                : button {
                    label = "26";
                    key   = "cb_26";
                }
                : button {
                    label = "28";
                    key   = "cb_28";
                }
                : button {
                    label = "30";
                    key   = "cb_30";
                }
                : button {
                    label = "32";
                    key   = "cb_32";
                }
                : button {
                    label = " ";
                }
            }
        }
        : spacer {
            height = 0.5;
        }
    }
    : row {
        alignment = centered;
        : spacer {
            height = 0;
        }
        fixed_width = true;
        b_cancel_only;
    }
}
